        !COMPILER-GENERATED INTERFACE MODULE: Mon Feb 13 15:46:59 2012
        MODULE SIMPLX_mod
          INTERFACE 
            SUBROUTINE SIMPLX(F,N,STEP,NS,IPS,MAXNFE,CMODE,X,FX,NFE,S,FS&
     &,IFLAG)
              INTEGER(KIND=4) :: NS
              INTEGER(KIND=4) :: N
              REAL(KIND=8) :: F
              EXTERNAL F
              REAL(KIND=8) :: STEP(N)
              INTEGER(KIND=4) :: IPS(NS)
              INTEGER(KIND=4) :: MAXNFE
              LOGICAL(KIND=4) :: CMODE
              REAL(KIND=8) :: X(N)
              REAL(KIND=8) :: FX
              INTEGER(KIND=4) :: NFE
              REAL(KIND=8) :: S(NS,NS+3)
              REAL(KIND=8) :: FS(NS+1)
              INTEGER(KIND=4) :: IFLAG
            END SUBROUTINE SIMPLX
          END INTERFACE 
        END MODULE SIMPLX_mod
